Skip to main content
GET
/
agents
/
tasks
/
List Tasks
curl --request GET \
  --url https://api.example.com/agents/tasks/
import requests

url = "https://api.example.com/agents/tasks/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/agents/tasks/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "title": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "description": "<string>",
    "status": "backlog",
    "priority": 3,
    "assigned_to_type_id": "<string>",
    "assigned_to_instance_id": "<string>",
    "assigned_to_user_id": "<string>",
    "correlation_bucket_id": "<string>",
    "created_by": "<string>",
    "source": "manual"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Query Parameters

status
string | null

Filter by task status

assigned_to_instance_id
string | null

Filter by assigned agent instance

Response

Successful Response

title
string
required
created_at
string<date-time>
updated_at
string<date-time>
id
string | null
description
string | null
status
enum<string>
default:backlog

Status of an agent task on the board.

Available options:
backlog,
assigned,
running,
review,
done
priority
integer
default:3
Required range: 1 <= x <= 4
assigned_to_type_id
string | null
assigned_to_instance_id
string | null
assigned_to_user_id
string | null
correlation_bucket_id
string | null
created_by
string | null
source
enum<string>
default:manual

Origin of an agent task.

Available options:
triage,
conversation,
manual